package fortedit;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import fortedit.editeur.Editeur;
import fortedit.mondes.Monde;

public class CarteEditeursetMonde extends AbstractAction{
	private static final long serialVersionUID = 1L;
    private Editeur editeur;
    private Monde monde;

    public CarteEditeursetMonde(Editeur editeur, Monde monde) {
        this.editeur = editeur;
        this.monde = monde;
    }

    public void actionPerformed(ActionEvent arg0) {
    	editeur.getCartes().Ajouter(editeur.getCartes().getCurrent());
    	editeur.getCartes().getCurrent().setMonde(monde);
    	editeur.getImage().redessinner();
    	editeur.getImage().modif = true;
    }
}
