package fortedit;

import java.awt.event.ActionEvent;
import java.io.File;

import javax.swing.*;

import fortedit.editeur.Editeur;

public class CarteExporter extends AbstractAction{
	private static final long serialVersionUID = 1L;
	private Editeur editeur;
	private int n;

	public CarteExporter(Editeur editeur, String nom) {
		super(nom);
		
		this.editeur = editeur;
	}

	public void actionPerformed(ActionEvent arg0) {
		JFileChooser adresse=new JFileChooser();
		adresse.setFileFilter(new Filtre("Image", "png"));
		if(adresse.showDialog(null,"Exporter") == JFileChooser.APPROVE_OPTION) {
			if(Filtre.getExtension(adresse.getSelectedFile()).compareTo("png") != 0)
                            adresse.setSelectedFile(new File(adresse.getSelectedFile().getAbsolutePath()+".png"));
			if(adresse.getSelectedFile().exists())
                n = JOptionPane.showConfirmDialog(null, "Ce fichier existe dj, voulez-vous l'craser ?", "Attention !", JOptionPane.YES_NO_OPTION);
			else
				n = 0;
			
			if(n == 0)
				editeur.getImage().Exporte(adresse.getSelectedFile());
		}
	}
}