package fortedit;

import java.awt.event.ActionEvent;

import javax.swing.*;

public class FenetreConfirmation extends AbstractAction{
	private static final long serialVersionUID = 1L;
    private Fenetre fenetre;
    private CarteSave carteSave;
    private AbstractAction action;
    private int n;

    public FenetreConfirmation(Fenetre fenetre,AbstractAction action) {
        this.fenetre = fenetre;
        carteSave = new CarteSave(fenetre,null);
        this.action = action;
    }

    public void actionPerformed(ActionEvent arg0) {
        if(fenetre.getEditeur().getImage().modif)
            n = JOptionPane.showConfirmDialog(null, "La carte a t modifie, sauvegarder les changements ?", "Attention !", JOptionPane.YES_NO_CANCEL_OPTION);
        else
        	n=1;
        if(n == 0) {
	    	carteSave.actionPerformed(null);
	    	action.actionPerformed(null);
    	} else if(n == 1)
    		action.actionPerformed(null);
    }
}
