package fortedit.carte;

import java.util.ArrayList;

public class Cartes {
	private ArrayList<Carte> cartes;
    private int n;

    public Cartes() {
        cartes = new ArrayList<Carte>();
        Init();
    }

    public void Init() {
        cartes.clear();
        cartes.add(new Carte());
        n = 0;
    }

    public void Ajouter(Carte carte) {
        while(n != cartes.size() - 1)
        	cartes.remove(n + 1);
        cartes.add(carte.clone());
        n++;
    }

    public void Annuler() {
        if(n != 0)
            n--;
    }

    public void Repeter() {
        if(n != cartes.size() - 1)
            n++;
    }

    public Carte getPrevious() {
        return cartes.get(n - 1);
    }

    public Carte getCurrent() {
        return cartes.get(n);
    }
}
