package fortedit;

import java.awt.event.ActionEvent;

import javax.swing.*;

public class CarteLoad extends AbstractAction{
	private static final long serialVersionUID = 1L;
    private Fenetre fenetre;

    public CarteLoad(Fenetre fenetre) {
        this.fenetre=fenetre;
    }

    public void actionPerformed(ActionEvent arg0) {
        JFileChooser adresse=new JFileChooser();
        adresse.setFileFilter(new Filtre("Carte", 20002, 20003));
        adresse.setSelectedFile(fenetre.getEditeur().getFichier());
        adresse.setCurrentDirectory(fenetre.getEditeur().getRepertoire());
        if(adresse.showOpenDialog(null)==JFileChooser.APPROVE_OPTION) {
            fenetre.getEditeur().setFichier(adresse.getSelectedFile());
            fenetre.getEditeur().setRepertoire(adresse.getSelectedFile().getParentFile());
            fenetre.setTitle(adresse.getSelectedFile().getName()+" - diteur de cartes pour forteresse");
            fenetre.getEditeur().setEtatFichier(adresse.getSelectedFile().getAbsolutePath());
            fenetre.getEditeur().getCartes().Init();
            fenetre.getEditeur().getCartes().getCurrent().Load(adresse.getSelectedFile());
            fenetre.getMenuEditionMondesBouton().get(fenetre.getEditeur().getCartes().getCurrent().getMonde()).setSelected(true);
            fenetre.getEditeur().getImage().redessinner();
            fenetre.getEditeur().getImage().modif=false;
        }
    }
}