package fortedit;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

public class CarteSave extends AbstractAction{
	private static final long serialVersionUID = 1L;
	private Fenetre fenetre;
	private CarteSaveSous carteSaveSous;

	public CarteSave(Fenetre fenetre, String nom) {
		super(nom);
		
		this.fenetre=fenetre;
		carteSaveSous=new CarteSaveSous(fenetre,null);
	}

	public void actionPerformed(ActionEvent arg0) {
		if(fenetre.getEditeur().getFichier()!=null) {
			fenetre.getEditeur().getCartes().getCurrent().Save(fenetre.getEditeur().getFichier());
			fenetre.getEditeur().getImage().modif=false;
		} else {
			carteSaveSous.actionPerformed(null);
		}
	}
}